<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <link rel="icon" type="image/x-icon" href="/pictures/favicon.ico">
    <!--font awesome icon-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" 
    integrity="sha512-Fo3rlrZj/k7ujTnHg4CGR2D7kSs0v4LLanw2qksYuRlEzO+tcaEPQogQ0KaoGN26/zrn20ImR1DfuLWnOo7aBA==" crossorigin="anonymous" referrerpolicy="no-referrer"
    />
    <!--bootstrap-->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" 
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="css/login.css" rel="stylesheet">
</head>

<body>
    <!-- navbar -->
    <nav class="navbar">
        <a class="navbar-brand" title="Waifu Home" href="/">
            <img class="site-logo" src="/pictures/WAIFU_LOGO_Light.png" alt="logo">
        </a>
        <form class="search-bar">
            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
            <button class="btn btn-outline-success search-btn" type="submit">Search</button>
        </form>
        <div class="group1 d-flex">
            <!--user history-->
            <button type="button" class="btn watch-history user-only" title="watch history">
                <i class="fas fa-history"></i>
            </button>
            <!--favorite-->
            <button type="button" class="btn bookmark user-only" title="bookmark">
                <i class="far fa-bookmark"></i>
            </button>
            <!--login btn-->
            <a href="login.html" class="btn btn-primary login-btn" title="login/register">
                <i class="far fa-user-circle"></i> login/Register
            </a>
            <!-- after login -->
            <div class="user-dropdown btn-group" hidden>
                <button type="button" class="btn dropdown-toggle" data-bs-toggle="dropdown" aria-expanded="false" title="user">
                    <img class="user-profile-pic" src=""></button>
                <ul class="dropdown-menu dropdown-menu-end">
                    <li>
                        <div class="user-info">
                            <img src="" class="user-info-pic"> <span class="user-name"></span>
                        </div>
                    </li>
                    <li>
                        <div class="change-theme">
                            <i class="fas fa-eye-dropper"></i> Change Theme
                        </div>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <a class="dropdown-item" href="setting.html">User Setting</a>
                    </li>
                    <li>
                        <hr class="dropdown-divider">
                    </li>
                    <li>
                        <button type="button" class="btn btn-outline-primary logout-btn">
                            <i class="fas fa-running"></i> logout</button>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <div class="container-fluid">
        <div class="login-container row">
            <h1>Log in</h1>
            <div class="login col-lg-3">
                <form id="login-form">
                    <div class="form-group">
                        <label for="username" class="form-label">Username</label>
                        <input class="form-control" id="username" type="text" name="username" placeholder="username">
                    </div>
                    <div class="form-group">
                        <label for="password" class="form-label">Password</label>
                        <input class="form-control" id="password" type="password" name="password" placeholder="password">
                    </div>
                    <div class="error"></div>
                    <div class="form-group">
                        <button class="btn btn-primary" type="submit">Login</button>
                    </div>
                </form>
                <a href="/register.html" class="btn btn-primary">
                    Register
                </a>
            </div>
            <div class="oauth col-lg-3">
                <a href="connect/google">
                    <div class="oauth-google oauth-btn">
                        <i class="fab fa-google"></i><span>Google</span>
                    </div>
                </a>
            </div>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" 
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous">
    </script>
    <script src="js/login.js" type="module"></script>
</body>

</html>